Bug 447127 - /var/cache tmpfs on live media w/ persistence
/var/cache tmpfs on live media w/ persistence
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-05-17 22:39 EDT by Matt Domsch
Modified: 2008-07-16 12:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-16 12:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-05-17 22:39:36 EDT
Description of problem:
I would like to see /var/cache mounted as a tmpdir when using Live USB key with
persistence.  A 'yum update' will write data twice (consuming extra persistence
space and extra USB write cycles), first into /var/cache/yum, and later as RPM
writes out the files.

(Firefox cache should probably also be tmpfs/ramfs for same reason, but may be
trickier.)

Version-Release number of selected component (if applicable):
whatever was in Fedora 9
Comment 1 Jeremy Katz 2008-05-19 11:31:17 EDT
Should probably also handle /tmp and /var/tmp the same way really.  

Have a couple of things that could work -- will try them out over a little bit
and commit something definitely for F10
Comment 2 Jeremy Katz 2008-05-19 15:55:06 EDT
Committed

Note You need to log in before you can comment on or make changes to this bug.